## org.eclipse.m2m.atl.profiler.exportmodel
Interface AtlOperationExport

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ExportElement, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AtlOperationExportImpl

    public interface AtlOperationExport

extends ExportElement

A representation of the model object 'Atl Operation Export'.

The following features are supported:

- `Calls`
- `Profiling Operation`

See Also:
  `ExportmodelPackage.getAtlOperationExport()`

Method Summary
`long` `getCalls()` Returns the value of the 'Calls' attribute
`org.eclipse.emf.common.util.EList<ProfilingOperationExport>` `getProfilingOperation()` Returns the value of the 'Profiling Operation' containment reference list.
`void` `setCalls(long value)` Sets the value of the '`Calls`' attribute

Methods inherited from interface org.eclipse.m2m.atl.profiler.exportmodel.ExportElement
`getBeginMemory, getEndMemory, getInstructions, getMaxMemory, getName, getTimExecution, getTotalInstructionsPercent, getTotalTimeExecutionPercent, setBeginMemory, setEndMemory, setInstructions, setMaxMemory, setName, setTimExecution, setTotalInstructionsPercent, setTotalTimeExecutionPercent`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCalls

    long getCalls()

  Returns the value of the 'Calls' attribute.

  If the meaning of the 'Calls' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Calls' attribute.
  See Also:
    `setCalls(long)`, `ExportmodelPackage.getAtlOperationExport_Calls()`

### setCalls

    void setCalls(long value)

  Sets the value of the '`Calls`' attribute.

  Parameters:
    `value` - the new value of the 'Calls' attribute.
  See Also:
    `getCalls()`

### getProfilingOperation

    org.eclipse.emf.common.util.EList<ProfilingOperationExport> getProfilingOperation()

  Returns the value of the 'Profiling Operation' containment reference list. The list contents are of type `ProfilingOperationExport`.

  If the meaning of the 'Profiling Operation' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Profiling Operation' containment reference list.
  See Also:
    `ExportmodelPackage.getAtlOperationExport_ProfilingOperation()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.